package minijaja.interpreteur;


import java.io.File;
import java.io.FileReader;

import minijaja.jjtree.*;

public class InterpreteurMiniJaja {

	public static void main(String args[]) throws Exception {
		
		// Implementation de la classe MiniJaja pour cr�er un parseur de fichier texte.
	    MiniJaja parser = new MiniJaja(new FileReader(new File("./src/minijaja/parseur/exemple1.txt")));
	    parser.classe();
	    
	    // Recuperation de la racine de l'AST (Abstract Syntax Tree).
	    Node racine = parser.getJJTree().rootNode();
	    
	    // Affichage de l'arbre dans la console systeme.
	    System.out.println("Debut arbre");
	    ((SimpleNode) racine).dump(" > "); 
	    System.out.println("Fin arbre");
	    
	    
	    // Utilisation des visiteur :
	    //System.out.print(((Node)racine).jjtAccept(new ToStringJajaCodeVisitor(),null));
	}

}
